package com.emr.dao;

import com.emr.entity.Archive_Detail_Picture;

import java.util.List;

public interface Archive_Detail_PictureMapper {
    /**
     * 根据可选字段删除记录
     * @param record
     * @return
     */
    int deleteByCol(Archive_Detail_Picture record);

    /**
     * 插入记录
     * @param record
     * @return
     */
    int insert(Archive_Detail_Picture record);

    /**
     * 根据可选字段插入记录
     * @param record
     * @return
     */
    int insertSelective(Archive_Detail_Picture record);

    /**
     * 根据id主键查询记录
     * @param id
     * @return
     */
    Archive_Detail_Picture selectByPrimaryKey(Integer id);

    /**
     * 根据条件(可选字段)查询记录
     * @param record
     * @return
     */
    List<Archive_Detail_Picture> selectByCol(Archive_Detail_Picture record);

    /**
     * 根据id主键和其它可选择字段修改记录
     * @param record
     * @return
     */
    int updateByPrimaryKeySelective(Archive_Detail_Picture record);

    /**
     * 根据条件id修改可选字段的记录
     * @param record
     * @return
     */
    int updateByPrimaryKey(Archive_Detail_Picture record);
}